Skip to main content
GET
/
api
/
v1
/
webhooks
/
{webhook_id}
/
deliveries
List recent deliveries for a webhook endpoint
curl --request GET \
  --url https://api.optimaldial.com/api/v1/webhooks/{webhook_id}/deliveries \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "webhook_endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "event_type": "<string>",
    "status": "pending",
    "attempt_count": 1,
    "next_retry_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "last_attempt_at": "2023-11-07T05:31:56Z",
    "last_response_status": 123,
    "last_error": "<string>",
    "delivered_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

OptimalDial API key, prefixed od_live_, sent as Authorization: Bearer .... Mint keys in the in-app developer panel; they are scoped to a single organization.

Path Parameters

webhook_id
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100

Response

Delivery history (most recent first).

id
string<uuid>
required
webhook_endpoint_id
string<uuid>
required
event_id
string<uuid>
required
event_type
string
required
status
enum<string>
required
Available options:
pending,
in_flight,
delivered,
exhausted
attempt_count
integer
required
Required range: x >= 0
next_retry_at
string<date-time>
required
created_at
string<date-time>
required
last_attempt_at
string<date-time> | null
last_response_status
integer | null
last_error
string | null
delivered_at
string<date-time> | null